/*
    Font descriptor data type declaration.
    Copyright (C) 2020  Alessandro Accattini

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


 *****************************************************************************
 *
 *
 * $Header$
 *
 *
 *
 * REVISION HISTORY:
 * $Log$
 */


/***************************************************************************/
/* include vari */

#include "fontdesc.h"			// font data type

/***************************************************************************/
/* define interni alla libreria */

/***************************************************************************/
/* strutture contenute all'interno della libreria */

/***************************************************************************/
/* costanti interne alla libreria */

/***************************************************************************/
/* costanti pubbliche */
			
/***************************************************************************/
/* variabili interne alla libreria */

/***************************************************************************/
/* funzioni interne alla libreria */

/***************************************************************************/
/* funzioni */

uint32_t FontDataSize(const FontDesc_t *Font)
{
  /* Returns font data array size. */
  
  
  
  return(FontNumOfChars(Font) * (uint32_t)Font->BytePerChar);
}



uint32_t FontNumOfChars(const FontDesc_t *Font)
{
  /* Returns the number of characters inside font. */
  
  
  
  return(((uint32_t)Font->Last - (uint32_t)Font->First) + 1);
}

/* $Source$ */


